IMG_6048.JPG=Capital District Governor Don Dudey gave his greetings from the District during the service.  Governor Don poses with CDKF Trustee Bernice Oden and Capital District Trustee for the Potomac Region Doris Montgomery at the closing.
IMG_6006.JPG=The Prayer Breakfast always emphasizes family and children, and there is nothing that warms the heart and the spirit that seeing the day-school children sing  Some are a little nervous and shy, and some definitely are not.  District Trustee for the Potomac Region (Divisions 1, 17 & 22) Doris Montgomery prepares, rehearses them for their BIG event.  Ya’ just gotta be there!
IMG_5998.JPG=Music is always an important part of the celebration of Dr. King’s life.  And who can resist the tone of a steel drum band, in this case the “East of the River Steel Band”?  No one at this event! It’s the Caribbean in January!
IMG_6000.JPG=These pictures say it all.  This is the future and it is up to us to make it better than we’ve had it.
IMG_6037.JPG=Words are not necessary when you see this child.  Perhaps only: “Kiwanis is a global organization of volunteers dedicated to changing the world one child and one community at a time”.
IMG_6011.JPG=These pictures say it all.  This is the future and it is up to us to make it better than we’ve had it.
IMG_5999.JPG=Music is always an important part of the celebration of Dr. King’s life.  And who can resist the tone of a steel drum band, in this case the “East of the River Steel Band”?  No one at this event! It’s the Caribbean in January!
IMG_6009.JPG=These pictures say it all.  This is the future and it is up to us to make it better than we’ve had it.
IMG_6036.JPG=Eric Sims presented the Prayer for the Children, with parents and children gathered around the speaker.  He spoke of the obligations and joys of parenthood.  He said we have the responsibility to live up to those obligations insuring children grow to take the same responsibilities on when they become parents.  It is the only way to become close to guaranteeing a civil society.
IMG_6044.JPG=Bernice Oden presents a certificate of thanks to the Reverend Ishmael Mitchell for his remarks this day.
IMG_6025.JPG=The Key Note Speaker of the Dr. King Memorial Service was The Reverend Ishmael Mitchell from Atlanta who told the moving details of Dr. King’s early life saying “when destiny calls, you must answer”.   Then recounted Dr. King’s last day and what it represents to so many of us.  (Please read the accompanying article.)  Here Reverend Mitchell is shown during his presentation.
IMG_6039.JPG=Capital District Foundation Trustee for Division One, PLG and Past Club President Bernice Oden recognizes and thanks the many Kiwanis Clubs and members in attendance.  Your are welcome.
IMG_6013.JPG=Kiwanian Alexis Currin of the Far East Kiwanis Club was the excellent Master of Ceremonies for the Annual Martin Luther King Prayer Breakfast, Monday, January 18th, 2010.  The club hosts the event that, of course, focuses on Dr. King’s life and his ministry, as well as families and children.  Over one hundred Kiwanians, guests with and children, including representation from Division One, Division 17, Division 20 and Division 22 we welcomes by the traditional Kiwanis Club opening.
